<?php
/**
 * jscript_globalvars_view.php
 *
 * Contains all the javascript global variables. It is a way to pass PHP vars to Javascript.
 * This file has to be loaded after all other Javascripts else things will start to break,
 * especially the math image generation.
 *
 * @author $Author: wichai $
 * @version $Id: jscript_globalvars_view.php,v 1.6 2011/05/30 10:11:18 wichai Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
osa_load_lang('home');
$this->load->helper('des_helper');
?>
<script type="text/javascript">
   var showDept=true;
   var gradeButton='<?php echo lang('home_gradebutton')?>';
   var deptButton='<?php echo lang('home_deptbutton')?>';
   var ajaxAppErrorTag='<?php echo $this->config->item('cms_ajax_errortag')?>';
   var ajaxAppNoSessionTag='<?php echo $this->config->item('cms_ajax_redirecthometag')?>';
   var ajaxServerError='<?php echo lang('gen_js_ajaxservererror')?>';
   var appHomeUrl='<?php echo base_url()?>';
   var appIncludePath='<?php echo osa_include_path()?>';
   var sessionErrorMsg='<?php echo lang('gen_js_ajaxsessiontimeoutmsg');?>';
   var cancelInputMessage='<?php echo lang('gen_cancelinputmsg'); ?>';
   var raido_update_error_msg='<?php echo lang('gen_radio_update_error_msg')?>';
   var gDeskey='<?php echo stringToHex(osa_des_random_key())?>';
   var app_image_folder='<?php echo osa_imagepath()?>';
   var AScgiloc='<?php echo base_url() . $this->config->item('cms_svg_graph')?>';
   var AMTcgiloc='<?php echo $this->config->item('cms_html_cgi_bin')?>';
   var surveyHomeUrl='<?php echo base_url() . 'survey/login';?>';
   var gDhtmlxwindowsSkin='<?php echo $this->config->item('cms_dhtmlxwindows_skin')?>';
   var gDhtmlxwindowsExtraheight=<?php echo $this->config->item('cms_dhtmlxwindows_extraheight')?>;
   var gGeneralJavasriptError='<?php echo lang('gen_javascript_error')?>';
   var gMenutreenames='<?php echo osa_menu_treedata(TRUE)?>';
</script>
